sap.ui.jsview("sapui5mvcdemo.Hello", {

	/**
	 * Specifies the Controller belonging to this View. In the case that it is
	 * not implemented, or that "null" is returned, this View does not have a
	 * Controller.
	 * 
	 * @memberOf sapui5mvcdemo.Hello
	 */
	getControllerName : function() {
		return "sapui5mvcdemo.Hello";
	},

	/**
	 * Is initially called once after the Controller has been instantiated. It
	 * is the place where the UI is constructed. Since the Controller is given
	 * to this method, its event handlers can be attached right away.
	 * 
	 * @memberOf sapui5mvcdemo.Hello
	 */
	createContent : function(oController) {

		var aControls = [];

		var myDataModel = sap.ui.getCore().getModel("myDataModel");

		// Create a label
		var lblName = new sap.ui.commons.Label({
			id : "lblName",
			text : "{myDataModel>/labelname}"
		});

		aControls.push(lblName);

		// Uncomment to view the contents of the model
		//alert(myDataModel.getJSON());

		// Create an text field
		var txtName = new sap.ui.commons.TextField("txtField", {
			// bind text property of textfield to username
			// property in the model
			value : "{myDataModel>/username}"
		});

		aControls.push(txtName);

		// Create a button to submit the name
		var oBtn = new sap.ui.commons.Button({
			id : "btn",
			text : "Submit",
			press : oController.hello
		});

		aControls.push(oBtn);

		return aControls;

	}

});
